Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-1.6-compat
%define nb_            netbeans
%define nb_org         %{nb_}.org
%define nb_ver         6.1

Name:           %{nb_}-svnclientadapter
Version:        %{nb_ver}
Release:        alt1_3jpp6
Summary:        Subversion Client Adapter

License:        ASL 2.0
Url:            http://subversion.netbeans.org/teepee/svnclientadapter.html
Group:          Development/Java
Source0:        http://subversion.netbeans.org/files/documents/193/1800/svnClientAdapter-nb6.0.1-src.zip

BuildArch:      noarch

BuildRequires: ant
BuildRequires: ant-nodeps
BuildRequires: ant-junit
BuildRequires: jpackage-utils

Requires: jpackage-utils
Requires: subversion >= 1.4.5

Provides:       libnb-svnClientAdapter = 6.1

%description
SVNClientAdapter is a high-level Java API for Subversion.
This is a NetBeans forked version of SvnClientAdapter.

%prep
%setup -q -n svnClientAdapter-nb6.0.1-src
# remove all binary libs
find . -name "*.jar" -exec %{__rm} -f {} \;

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java 
ant -verbose

%install
%{__rm} -fr %{buildroot}
# jar
%{__install} -d -m 755 %{buildroot}%{_javadir}
%{__install} -m 644 build/lib/svnClientAdapter.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%{__ln_s} %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%doc license.txt readme.txt
%{_javadir}/*

%changelog
* Fri Dec 12 2008 Igor Vlasenko <viy@altlinux.ru> 6.1-alt1_3jpp6
- converted from JPackage by jppimport script

